summaryrefslogtreecommitdiff
path: root/dev-python/python-gnupg/python-gnupg-0.5.5-r1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-11-01 19:06:26 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-11-01 19:06:26 +0000
commitd42db3ed2648023a152ebde11df983ae337f4b51 (patch)
tree6a3f1cb350fdeb482e3a0f12264203211ec046d8 /dev-python/python-gnupg/python-gnupg-0.5.5-r1.ebuild
parent50a873956cea2ce32e1c02130595ee8a135afc1b (diff)
downloadbaldeagleos-repo-d42db3ed2648023a152ebde11df983ae337f4b51.tar.gz
baldeagleos-repo-d42db3ed2648023a152ebde11df983ae337f4b51.tar.xz
baldeagleos-repo-d42db3ed2648023a152ebde11df983ae337f4b51.zip
Adding metadata
Diffstat (limited to 'dev-python/python-gnupg/python-gnupg-0.5.5-r1.ebuild')
-rw-r--r--dev-python/python-gnupg/python-gnupg-0.5.5-r1.ebuild51
1 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/python-gnupg/python-gnupg-0.5.5-r1.ebuild b/dev-python/python-gnupg/python-gnupg-0.5.5-r1.ebuild
new file mode 100644
index 000000000000..023942b27f6a
--- /dev/null
+++ b/dev-python/python-gnupg/python-gnupg-0.5.5-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 verify-sig
+
+DESCRIPTION="A Python wrapper for GnuPG"
+HOMEPAGE="
+ https://docs.red-dove.com/python-gnupg/
+ https://github.com/vsajip/python-gnupg/
+ https://pypi.org/project/python-gnupg/
+"
+SRC_URI="
+ https://github.com/vsajip/python-gnupg/releases/download/${PV}/${P}.tar.gz
+ verify-sig? (
+ https://github.com/vsajip/python-gnupg/releases/download/${PV}/${P}.tar.gz.asc
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~sparc x86"
+
+# Need gnupg[nls] for avoiding decode errors and possible hangs
+# w/ e.g. sec-keys/openpgp-keys-gentoo-developers but other pkgs too.
+DEPEND="
+ || (
+ app-alternatives/gpg[reference]
+ app-alternatives/gpg[freepg(-)]
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ verify-sig? ( sec-keys/openpgp-keys-vinaysajip )
+"
+
+distutils_enable_tests unittest
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/vinaysajip.asc
+
+python_test() {
+ # NO_EXTERNAL_TESTS must be enabled,
+ # to disable tests needing Internet access.
+ NO_EXTERNAL_TESTS=1 eunittest
+}